aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-warnings/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-11-06 07:08:02 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-11-06 07:08:02 +0000
commit9660a35884b16288beaa18adf724ac75b3098d65 (patch)
treea6a87acdd3f4df12c0f71c1518de0ad567931e1a /main/perl-test-warnings/APKBUILD
parentea652e0795553b67db1c1c7a8ed0dd8ae5015c50 (diff)
downloadaports-9660a35884b16288beaa18adf724ac75b3098d65.tar.gz
aports-9660a35884b16288beaa18adf724ac75b3098d65.tar.bz2
aports-9660a35884b16288beaa18adf724ac75b3098d65.tar.xz
main/perl-test-warnings: upgrade to 0.016
Diffstat (limited to 'main/perl-test-warnings/APKBUILD')
-rw-r--r--main/perl-test-warnings/APKBUILD27
1 files changed, 13 insertions, 14 deletions
diff --git a/main/perl-test-warnings/APKBUILD b/main/perl-test-warnings/APKBUILD
index 93846d35f7..5164cef90e 100644
--- a/main/perl-test-warnings/APKBUILD
+++ b/main/perl-test-warnings/APKBUILD
@@ -3,14 +3,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-test-warnings
_pkgreal=Test-Warnings
-pkgver=0.012
+pkgver=0.016
pkgrel=0
-pkgdesc="Perl module for Test-Warnings"
+pkgdesc="Test for warnings and the lack of them"
url="http://search.cpan.org/dist/Test-Warnings/"
arch="noarch"
license="GPL PerlArtistic"
-cpandepends="perl-module-build-tiny"
-cpanmakedepends="perl-test-tester perl-test-deep"
+cpandepends=""
+cpanmakedepends=" perl-test-tester"
depends="$cpandepends"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
@@ -20,23 +20,22 @@ _builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
- if [ -e Build.PL ]; then
- perl Build.PL --installdirs=vendor || return 1
- else
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- fi
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
cd "$_builddir"
- ./Build build && ./Build test
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
}
package() {
cd "$_builddir"
- ./Build install --destdir="$pkgdir" --create_packlist=0 || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="5da27c3b25461a5fbec5a7cb90b9803c Test-Warnings-0.012.tar.gz"
-sha256sums="0e942300a45ef6aa781b8b64f0c4cd9672442de2b36bf6a1fadee88ead00acc6 Test-Warnings-0.012.tar.gz"
-sha512sums="bf2c8864fba28aad7ccc9e26dfa3a7b5ba3f660b9fe6deafd32cfe32a94596312037cac559b2610c284d98e5091d934b1287ce012e82d2b63726553255f133b2 Test-Warnings-0.012.tar.gz"
+md5sums="5608b3f8dbdd65d0251200754d97863a Test-Warnings-0.016.tar.gz"
+sha256sums="09ebc9afa29eb4d1d44fbd974dfcd52e0a2d9ce7ec3e3ee7602394157831aba9 Test-Warnings-0.016.tar.gz"
+sha512sums="78a3e26d2093be8612e1e97f2d45023f224ea7e09f9d669a049fd331e7ff49fb93be52996d7f7fba29263437307587fedd80c54a56b6b282b328668152557027 Test-Warnings-0.016.tar.gz"